# vim: set sw=4 ts=4 et:
# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Name:           mixxx
Summary:        Open source DJ tool
Version:        1.10.0
Release:        2.2
License:        GPL
Group:          Productivity/Multimedia/Sound/Players
URL:            http://mixxx.sourceforge.net/
# http://downloads.mixxx.org/mixxx-%{version}/mixxx-%{version}-src.tar.gz
Source0:        mixxx-%{version}-src.tar.bz2
Source1:        mixxx.desktop
Patch1:         mixxx-disable_qt_rpath.patch
Patch3:         mixxx-remove_build_timestamps.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  unzip
BuildRequires:  alsa-devel
BuildRequires:  audiofile-devel audiofile
BuildRequires:  bzr
BuildRequires:  fdupes
BuildRequires:  freeglut-devel
BuildRequires:  glib2-devel
BuildRequires:  ladspa
BuildRequires:  libdjconsole-devel
BuildRequires:  libfaad-devel
BuildRequires:  portmidi-devel
BuildRequires:  libtag-devel
BuildRequires:  flac-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  wavpack-devel
BuildRequires:  libgpod-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libjack-devel >= 0.109
BuildRequires:  libmp3lame-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libusb-devel
BuildRequires:  libvorbis-devel
BuildRequires:  lua50-devel
BuildRequires:  mad-devel
BuildRequires:  pkgconfig
BuildRequires:  portaudio-devel
BuildRequires:  python-devel
BuildRequires:  libqt4-devel
BuildRequires:  libQtWebKit-devel
BuildRequires:  scons
BuildRequires:  soundtouch-devel >= 1.3
BuildRequires:  tolua >= 5.0
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
Obsoletes:      %{name}-skin-hercules
Obsoletes:      %{name}-skin-outlineClose
Obsoletes:      %{name}-skin-outline
Obsoletes:      %{name}-skin-outlineMini
Obsoletes:      %{name}-skin-outlineNetbook
Obsoletes:      %{name}-skin-nCut
Obsoletes:      %{name}-skin-Collusion
Obsoletes:      %{name}-skin-traditional

%description
Mixxx is designed for DJ'ing for both professional and
semi-professional users.
Mixxx was started in early 2001 as one of the first digital
DJ systems.

Today Mixxx includes many features common to digital DJ solutions,
but also some very unique features: It is free, and runs on all
major desktop operating systems.

Furthermore Mixxx has a number of key features to help the DJ in
the live mix: Beat estimation, parallel visual displays, and
support for many DJ input controllers.

Mixxx is software for DJ'ing. You can use wave based audio files,
Ogg Vorbis and MP3 files as audio input. Mixxx can be controlled
through the GUI and with external controllers including MIDI
devices, joysticks and more.

%prep
%setup -q
%patch1
%patch3

%build
scons %{?smp_mflags} %{?jobs:-j%{jobs}} \
    prefix="%{_prefix}" \
    optimize=1 \
    djconsole=1 \
    djconsole_legacy=0 \
    hifieq=1 \
    experimentalrecord=1 \
    cmetrics=0 \
    ladspa=0 \
    vinylcontrol=1 \
    ffmpeg=0 \
    shoutcast=1 \
    ipod=0 \
    script=0 \
    midiscript=1 \
    tonal=1 \
    m4a=1 \
    faad=1 \
    mad=1 \
    hss1394=0 \
    wv=1 \
    asmlib=0 \
    portmidi=1

%install
%__install -dm 755 %{buildroot}%{_bindir}

scons \
    prefix="%{_prefix}" \
    optimize=1 \
    djconsole=1 \
    djconsole_legacy=0 \
    hifieq=1 \
    experimentalrecord=1 \
    cmetrics=0 \
    ladspa=0 \
    vinylcontrol=1 \
    ffmpeg=0 \
    shoutcast=1 \
    ipod=0 \
    script=0 \
    midiscript=1 \
    tonal=1 \
    m4a=1 \
    faad=1 \
    mad=1 \
    hss1394=0 \
    wv=1 \
    asmlib=0 \
    portmidi=1 \
    install_root="%{buildroot}%{_prefix}" \
    install

%__rm -rf "%{buildroot}%{_datadir}/doc/mixxx"

# fix perms
find "%{buildroot}%{_datadir}/mixxx/" -type f -executable \( -name '*.xml' -o -name '*.js' \) \
-exec %__chmod 0644 {} \;

%__install -D -m0644 res/images/mixxx-icon.png "%{buildroot}%{_datadir}/pixmaps/%{name}-icon.png"
%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r %{name} AudioVideo Player Jukebox

L="$PWD/%{name}.lang"
echo -n > "$L"
pushd "%{buildroot}%{_datadir}/mixxx/translations"
/bin/ls -1 mixxx_*.qm | while read f; do
    [ -e "$f" ] || continue
    l="${f#mixxx_}"
    l="${l%.qm}"
    echo "%lang($l) %{_datadir}/mixxx/translations/$f" >> "$L"
done
popd

%fdupes -s "%{buildroot}%{_datadir}/mixxx/skins"

#__chmod 755 %{buildroot}%{_datadir}/%{name}/skins/outlineMini/shifter.sh
#__chmod 755 %{buildroot}%{_datadir}/%{name}/midi/convertToXMLSchemaV1.php
#__chmod 644 %{buildroot}%{_datadir}/%{name}/midi/Mixman*.js

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING LICENSE Mixxx-Manual.pdf README*
%{_bindir}/%{name}
%dir %{_prefix}/lib/mixxx
%dir %{_prefix}/lib/mixxx/plugins
%dir %{_prefix}/lib/mixxx/plugins/soundsource
%{_prefix}/lib/mixxx/plugins/soundsource/libsoundsourcem4a.so
%{_prefix}/lib/mixxx/plugins/soundsource/libsoundsourcewv.so
%dir %{_datadir}/mixxx
%{_datadir}/mixxx/schema.xml
%{_datadir}/mixxx/keyboard
%{_datadir}/mixxx/midi
%{_datadir}/mixxx/skins
%dir %{_datadir}/mixxx/translations
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.png

%changelog
* Sun Jan  1 2012 pascal.bleser@opensuse.org
- don't use our optflags but, instead, use the optimization flags from
  upstream; that also fixes building on 12.1 where GCC crashed on assembler
  stuff; dropped mixxx-optflags.patch
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- update to 1.10.0
* Fri Mar  4 2011 reddwarf@opensuse.org
- Add patch to fix mp4v2 availability check
* Wed Jan  6 2010 toni@links2linux.de
- update to 1.7.2
- reenabled m4a support
- This bugfix release addresses a number of issues that were discovered
  in 1.7.1, and is a recommended upgrade for all users
  Some of the changes include:
  Improved saving of ordered playlists
  Fixed MIDI support on OS X
  Optimize latency settings. This should improve compatibility with certain soundcards/APIs.
  Improved stability and error handling when loading certain songs.
* Sun Oct 25 2009 toni@links2linux.de
- update to 1.7.1
- This release incorporates many major improvements, hugely improved MIDI
  controller support, better vinyl control support, savable cue points, and many
  performance improvements and bugfixes.
- disabled cmetrics and m4a (won't compile)
* Sat Oct  4 2008 toni@links2linux.de
- update to 1.6.1
- removed skin sub-package (skin-Natt)
* Fri Aug  8 2008 toni@links2linux.de
- update to 1.6.0
- enabled shoutcast and iPod support
* Sat Jul 19 2008 toni@links2linux.de
- update to 1.6.0beta4
- added new skin sub-package (skin-Natt)
* Sat May 31 2008 toni@links2linux.de
- update to 1.6.0beta3
* Sun Feb 10 2008 toni@links2linux.de
- update to 1.6.0beta2
* Sat Sep  8 2007 toni@links2linux.de
- openSUSE-10.3 build, corrected BuildRequires
* Wed Mar  7 2007 toni@links2linux.de
- added -lusb in build.definition (is NOT using pkg-config!)
* Sun Mar  4 2007 toni@links2linux.de
- update to 1.5.0.1
- replaced portaudio18 with portaudio
- added libdjconsole support
* Tue Jan  2 2007 toni@links2linux.de
- build SuSE-10.2, corrected BuildRequires
* Thu Nov 30 2006 toni@links2linux.de
- update to 1.5.0beta2
- added debug_package
* Fri Sep 29 2006 toni@links2linux.de
- update to 1.5.0 (cvs 29.09.2006)
- adjusted BuildRequires
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
* Thu Sep  7 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060907
- update to 1.5.0 (cvs 07.09.2006)
* Thu Aug 24 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060824
- update to 1.5.0 (cvs 24.08.2006)
* Mon Aug 14 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060814
- update to 1.5.0 (cvs 14.08.2006)
* Thu Aug 10 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060810
- update to 1.5.0 (cvs 10.08.2006)
* Wed May 31 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060531
- update to 1.5.0 (cvs 31.05.2006)
* Sat May 20 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060520
- update to 1.5.0 (cvs 20.05.2006)
* Sun Apr 23 2006 oc2pus@arcor.de 1.5.0beta1-0.oc2pus.1
- update to 1.5.0beta1
- patched to use package soundtouch=1.3
- patched to use package portaudio18
- repacked without soundtouch and portaudio18* sources
- sub-packages for skins (hercules, outlineClose, outline, traditional)
  - changed menu-entry
* Wed Mar 29 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060329
- update to 1.5.0 (cvs 29.03.2006)
* Fri Feb 24 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060224
- update to 1.5.0 (cvs 24.02.2006)
- added --enable-python
* Sat Jan 28 2006 oc2pus@arcor.de 1.5.0-0.oc2pus.cvs20060128
- update to 1.5.0 (cvs 28.01.2006)
- patched to use package soundtouch=1.3
- patched to use package portaudio18
- sub-packages for skins (hercules, outlineClose, outline, traditional)
* Tue Jan  3 2006 oc2pus@arcor.de 1.4.2-0.oc2pus.1
- initial release of rpm
- repacked as tar.bz2
